org.apache.struts2.convention

## Class DefaultInterceptorMapBuilder

- java.lang.Object
- - org.apache.struts2.convention.DefaultInterceptorMapBuilder

- All Implemented Interfaces:
    InterceptorMapBuilder

      public class DefaultInterceptorMapBuilder
      extends Object
      implements InterceptorMapBuilder

  Builds interceptor mappings from annotations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultInterceptorMapBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<InterceptorMapping>` | `build(Class<?> actionClass, PackageConfig.Builder builder, String actionName, Action annotation)` Builds the interceptor configurations given the action information.
    `protected List<InterceptorMapping>` | `build(InterceptorRef[] interceptors, String actionName, PackageConfig.Builder builder)`
    `protected List<InterceptorMapping>` | `buildInterceptorList(PackageConfig.Builder builder, InterceptorRef ref, Map params)`
    `void` | `setConfiguration(Configuration configuration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultInterceptorMapBuilder

          public DefaultInterceptorMapBuilder()

  - ### Method Detail

    - #### build

          public List<InterceptorMapping> build(Class<?> actionClass,
                                                PackageConfig.Builder builder,
                                                String actionName,
                                                Action annotation)

      Description copied from interface: `InterceptorMapBuilder`
      Builds the interceptor configurations given the action information.
      Specified by:
        `build` in interface `InterceptorMapBuilder`
      Parameters:
        `actionClass` - The class of the action.
        `builder` - The package configuration builder.
        `actionName` - The action name.
        `annotation` - The action annotation.
      Returns:
        The mapping of the interceptors. If there were none found then this should return an empty List.

    - #### build

          protected List<InterceptorMapping> build(InterceptorRef[] interceptors,
                                                   String actionName,
                                                   PackageConfig.Builder builder)

    - #### buildInterceptorList

          protected List<InterceptorMapping> buildInterceptorList(PackageConfig.Builder builder,
                                                                  InterceptorRef ref,
                                                                  Map params)

    - #### setConfiguration

          public void setConfiguration(Configuration configuration)

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.